
From: andrew.lunn@ascom.ch

The pty slave devices do not appear in devfs.  They should be /dev/pts/s* and
symbolic links from /dev/pty* into /dev/pts/s*.

The problem is in the pty.c driver.  The flag TTY_DRIVER_NO_DEVFS is set so
that when the slaves are initialised, they don't register themselves with the
devfs.  Programs that try to use pty then get into problems, eg ripperx, uses
a pty to control cdparanoia and complains it cannot find a free pty.  


 drivers/char/pty.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/char/pty.c~devfs-pty-slave-fix drivers/char/pty.c
--- 25/drivers/char/pty.c~devfs-pty-slave-fix	2003-08-05 08:45:59.000000000 -0700
+++ 25-akpm/drivers/char/pty.c	2003-08-05 08:46:23.000000000 -0700
@@ -353,8 +353,7 @@ int __init pty_init(void)
 	pty_slave_driver->subtype = PTY_TYPE_SLAVE;
 	pty_slave_driver->init_termios = tty_std_termios;
 	pty_slave_driver->init_termios.c_cflag = B38400 | CS8 | CREAD;
-	pty_slave_driver->flags = TTY_DRIVER_RESET_TERMIOS |
-			TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
+	pty_slave_driver->flags = TTY_DRIVER_RESET_TERMIOS|TTY_DRIVER_REAL_RAW;
 	pty_slave_driver->other = pty_driver;
 	tty_set_operations(pty_slave_driver, &pty_ops);
 

_
